wpdag.from.dag {bnstruct} | R Documentation

## Initialize a WPDAG from a DAG.

### Description

Given a `BN` object with a `dag`, return a network with its `wpdag` set as the CPDAG computed starting from the `dag`.

### Usage

    wpdag.from.dag(x, layering = NULL)

    ## S4 method for signature 'BN'
    wpdag.from.dag(x, layering = NULL)

### Arguments

`x` | a `BN` object.
`layering` | vector containing the layers each node belongs to.

### Value

a `BN` object with an initialized `wpdag`.

### See Also

`dag.to.cpdag`

### Examples

    ## Not run:
    net <- learn.network(dataset, layering=layering)
    wp.net <- wpdag.from.dag(net, layering)

    ## End(Not run)

[Package bnstruct version 1.0.6 Index]